Subject: [Technical Errata Reported] RFC5952 (6272)

From: RFC Errata System <[email-masked]>
Date: Wed, 2 Sep 2020 10:14:31 -0700 (PDT)

The following errata report has been submitted for RFC5952,
"A Recommendation for IPv6 Address Text Representation".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6272

--------------------------------------
Type: Technical
Reported by: Felipe Gasper <[email-masked]>

Section: 4.2.1

Original Text
-------------
The line

> The use of the symbol "::" MUST be used to its maximum capability.

… contradicts the next section, which states that single-0 fields are not reduced.

i.e., this:

> 2001:db8:0:1:1:1:1:1

… is longer than:

> 2001:db8::1:1:1:1:1

Thus, the standard does not, in all cases, require that "::" be used to its maximum capability.

Corrected Text
--------------
The first line of 4.2.1 should be amended to be consistent with section 4.2.2

> The use of the symbol "::" MUST be used to its maximum capability to reduce consecutive 16-bit 0 fields.

Notes
-----

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5952 (draft-ietf-6man-text-addr-representation-07)
--------------------------------------
Title               : A Recommendation for IPv6 Address Text Representation
Publication Date    : August 2010
Author(s)           : S. Kawamura, M. Kawashima
Category            : PROPOSED STANDARD
Source              : IPv6 Maintenance
Area                : Internet
Stream              : IETF
Verifying Party     : IESG